net.fortuna.ical4j.data

## Interface CalendarParser

All Known Implementing Classes:
  CalendarParserImpl, HCalendarParser

    public interface CalendarParser

     $Id$

     Created [Nov 5, 2004]

Implementors provide iCalendar parsing functionality.

Author:
  Ben Fortuna

### Method Summary

Methods
`void` `parse(InputStream in, ContentHandler handler)` Parse the iCalendar data from the specified input stream.
`void` `parse(Reader in, ContentHandler handler)` Parse the iCalendar data from the specified reader.

### Method Detail

#### parse

    void parse(InputStream in,
             ContentHandler handler)
               throws IOException,
                      ParserException

Parse the iCalendar data from the specified input stream.

Parameters:
  `in` - an input stream from which to read iCalendar data
  `handler` - the content handler to notify during parsing
Throws:
  `IOException` - thrown when unable to read from the specified stream
  `ParserException` - thrown if an error occurs during parsing

#### parse

    void parse(Reader in,
             ContentHandler handler)
               throws IOException,
                      ParserException

Parse the iCalendar data from the specified reader.

Parameters:
  `in` - a reader from which to read iCalendar data
  `handler` - the content handler to notify during parsing
Throws:
  `IOException` - thrown when unable to read from the specified reader
  `ParserException` - thrown if an error occurs during parsing